/[gcl]/gcl/configure
ViewVC logotype

Diff of /gcl/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.107.4.1.2.2 by camm, Thu Aug 21 04:31:36 2003 UTC revision 1.107.4.1.2.2.2.1 by camm, Thu Sep 4 02:09:36 2003 UTC
# Line 848  Optional Features: Line 848  Optional Features:
848    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
849   --enable-maxpage=XXXX will compile in a page table of size XXX (eg '--enable-maxpage=64*1024' would give 64K pages allowing 256 MB if pages are 4K each)   --enable-maxpage=XXXX will compile in a page table of size XXX (eg '--enable-maxpage=64*1024' would give 64K pages allowing 256 MB if pages are 4K each)
850   --enable-vssize=XXXX will compile in a value stack of size XXX   --enable-vssize=XXXX will compile in a value stack of size XXX
851     --enable-bdssize=XXXX will compile in a binding stack of size XXX
852     --enable-ihssize=XXXX will compile in a invocation history stack of size XXX
853     --enable-frssize=XXXX will compile in a frame stack of size XXX
854   --enable-machine=XXXX will force the use of one of the definitions in h/XXXX.defs   --enable-machine=XXXX will force the use of one of the definitions in h/XXXX.defs
855   --enable-gmp=no will disable use of GMP gnu multiprecision arithmetic, (default is =yes)   --enable-gmp=no will disable use of GMP gnu multiprecision arithmetic, (default is =yes)
856   --enable-notify=no will disable the automatic notification of gcl maintainers of successful builds/problems   --enable-notify=no will disable the automatic notification of gcl maintainers of successful builds/problems
# Line 1321  if test "${enable_maxpage+set}" = set; t Line 1324  if test "${enable_maxpage+set}" = set; t
1324  #define MAXPAGE $enable_maxpage  #define MAXPAGE $enable_maxpage
1325  _ACEOF  _ACEOF
1326    
   
1327  fi;  fi;
1328    
1329  # Check whether --enable-vssize or --disable-vssize was given.  # Check whether --enable-vssize or --disable-vssize was given.
# Line 1331  if test "${enable_vssize+set}" = set; th Line 1333  if test "${enable_vssize+set}" = set; th
1333  #define VSSIZE $enable_vssize  #define VSSIZE $enable_vssize
1334  _ACEOF  _ACEOF
1335    
1336    fi;
1337    
1338    # Check whether --enable-bdssize or --disable-bdssize was given.
1339    if test "${enable_bdssize+set}" = set; then
1340      enableval="$enable_bdssize"
1341      cat >>confdefs.h <<_ACEOF
1342    #define BDSSIZE $enable_bdssize
1343    _ACEOF
1344    
1345    fi;
1346    
1347    # Check whether --enable-ihssize or --disable-ihssize was given.
1348    if test "${enable_ihssize+set}" = set; then
1349      enableval="$enable_ihssize"
1350      cat >>confdefs.h <<_ACEOF
1351    #define IHSSIZE $enable_ihssize
1352    _ACEOF
1353    
1354    fi;
1355    
1356    # Check whether --enable-frssize or --disable-frssize was given.
1357    if test "${enable_frssize+set}" = set; then
1358      enableval="$enable_frssize"
1359      cat >>confdefs.h <<_ACEOF
1360    #define FRSSIZE $enable_frssize
1361    _ACEOF
1362    
1363  fi;  fi;
1364    
# Line 5751  fi Line 5779  fi
5779  # mechanism, in the PAGE macro.  This offset is subtracted from  # mechanism, in the PAGE macro.  This offset is subtracted from
5780  # addresses, in calculating a page for an address in the heap.  # addresses, in calculating a page for an address in the heap.
5781    
5782  echo "$as_me:$LINENO: checking for long *" >&5  echo "$as_me:$LINENO: checking for long" >&5
5783  echo $ECHO_N "checking for long *... $ECHO_C" >&6  echo $ECHO_N "checking for long... $ECHO_C" >&6
5784  if test "${ac_cv_type_long_p+set}" = set; then  if test "${ac_cv_type_long+set}" = set; then
5785    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
5786  else  else
5787    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
# Line 5767  $ac_includes_default Line 5795  $ac_includes_default
5795  int  int
5796  main ()  main ()
5797  {  {
5798  if ((long * *) 0)  if ((long *) 0)
5799    return 0;    return 0;
5800  if (sizeof (long *))  if (sizeof (long))
5801    return 0;    return 0;
5802    ;    ;
5803    return 0;    return 0;
# Line 5787  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 5815  if { (eval echo "$as_me:$LINENO: \"$ac_c
5815    ac_status=$?    ac_status=$?
5816    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5817    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
5818    ac_cv_type_long_p=yes    ac_cv_type_long=yes
5819  else  else
5820    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
5821  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
5822    
5823  ac_cv_type_long_p=no  ac_cv_type_long=no
5824  fi  fi
5825  rm -f conftest.$ac_objext conftest.$ac_ext  rm -f conftest.$ac_objext conftest.$ac_ext
5826  fi  fi
5827  echo "$as_me:$LINENO: result: $ac_cv_type_long_p" >&5  echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
5828  echo "${ECHO_T}$ac_cv_type_long_p" >&6  echo "${ECHO_T}$ac_cv_type_long" >&6
5829    
5830  echo "$as_me:$LINENO: checking size of long *" >&5  echo "$as_me:$LINENO: checking size of long" >&5
5831  echo $ECHO_N "checking size of long *... $ECHO_C" >&6  echo $ECHO_N "checking size of long... $ECHO_C" >&6
5832  if test "${ac_cv_sizeof_long_p+set}" = set; then  if test "${ac_cv_sizeof_long+set}" = set; then
5833    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
5834  else  else
5835    if test "$ac_cv_type_long_p" = yes; then    if test "$ac_cv_type_long" = yes; then
5836    # The cast to unsigned long works around a bug in the HP C Compiler    # The cast to unsigned long works around a bug in the HP C Compiler
5837    # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects    # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
5838    # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.    # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# Line 5822  $ac_includes_default Line 5850  $ac_includes_default
5850  int  int
5851  main ()  main ()
5852  {  {
5853  static int test_array [1 - 2 * !(((long) (sizeof (long *))) >= 0)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
5854  test_array [0] = 0  test_array [0] = 0
5855    
5856    ;    ;
# Line 5854  $ac_includes_default Line 5882  $ac_includes_default
5882  int  int
5883  main ()  main ()
5884  {  {
5885  static int test_array [1 - 2 * !(((long) (sizeof (long *))) <= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
5886  test_array [0] = 0  test_array [0] = 0
5887    
5888    ;    ;
# Line 5902  $ac_includes_default Line 5930  $ac_includes_default
5930  int  int
5931  main ()  main ()
5932  {  {
5933  static int test_array [1 - 2 * !(((long) (sizeof (long *))) < 0)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
5934  test_array [0] = 0  test_array [0] = 0
5935    
5936    ;    ;
# Line 5934  $ac_includes_default Line 5962  $ac_includes_default
5962  int  int
5963  main ()  main ()
5964  {  {
5965  static int test_array [1 - 2 * !(((long) (sizeof (long *))) >= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
5966  test_array [0] = 0  test_array [0] = 0
5967    
5968    ;    ;
# Line 5990  $ac_includes_default Line 6018  $ac_includes_default
6018  int  int
6019  main ()  main ()
6020  {  {
6021  static int test_array [1 - 2 * !(((long) (sizeof (long *))) <= $ac_mid)];  static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
6022  test_array [0] = 0  test_array [0] = 0
6023    
6024    ;    ;
# Line 6019  fi Line 6047  fi
6047  rm -f conftest.$ac_objext conftest.$ac_ext  rm -f conftest.$ac_objext conftest.$ac_ext
6048  done  done
6049  case $ac_lo in  case $ac_lo in
6050  ?*) ac_cv_sizeof_long_p=$ac_lo;;  ?*) ac_cv_sizeof_long=$ac_lo;;
6051  '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long *), 77  '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
6052  See \`config.log' for more details." >&5  See \`config.log' for more details." >&5
6053  echo "$as_me: error: cannot compute sizeof (long *), 77  echo "$as_me: error: cannot compute sizeof (long), 77
6054  See \`config.log' for more details." >&2;}  See \`config.log' for more details." >&2;}
6055     { (exit 1); exit 1; }; } ;;     { (exit 1); exit 1; }; } ;;
6056  esac  esac
# Line 6042  cat confdefs.h >>conftest.$ac_ext Line 6070  cat confdefs.h >>conftest.$ac_ext
6070  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
6071  /* end confdefs.h.  */  /* end confdefs.h.  */
6072  $ac_includes_default  $ac_includes_default
6073  long longval () { return (long) (sizeof (long *)); }  long longval () { return (long) (sizeof (long)); }
6074  unsigned long ulongval () { return (long) (sizeof (long *)); }  unsigned long ulongval () { return (long) (sizeof (long)); }
6075  #include <stdio.h>  #include <stdio.h>
6076  #include <stdlib.h>  #include <stdlib.h>
6077  int  int
# Line 6053  main () Line 6081  main ()
6081    FILE *f = fopen ("conftest.val", "w");    FILE *f = fopen ("conftest.val", "w");
6082    if (! f)    if (! f)
6083      exit (1);      exit (1);
6084    if (((long) (sizeof (long *))) < 0)    if (((long) (sizeof (long))) < 0)
6085      {      {
6086        long i = longval ();        long i = longval ();
6087        if (i != ((long) (sizeof (long *))))        if (i != ((long) (sizeof (long))))
6088          exit (1);          exit (1);
6089        fprintf (f, "%ld\n", i);        fprintf (f, "%ld\n", i);
6090      }      }
6091    else    else
6092      {      {
6093        unsigned long i = ulongval ();        unsigned long i = ulongval ();
6094        if (i != ((long) (sizeof (long *))))        if (i != ((long) (sizeof (long))))
6095          exit (1);          exit (1);
6096        fprintf (f, "%lu\n", i);        fprintf (f, "%lu\n", i);
6097      }      }
# Line 6084  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 6112  if { (eval echo "$as_me:$LINENO: \"$ac_l
6112    ac_status=$?    ac_status=$?
6113    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6114    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
6115    ac_cv_sizeof_long_p=`cat conftest.val`    ac_cv_sizeof_long=`cat conftest.val`
6116  else  else
6117    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
6118  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
6119  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
6120    
6121  ( exit $ac_status )  ( exit $ac_status )
6122  { { echo "$as_me:$LINENO: error: cannot compute sizeof (long *), 77  { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
6123  See \`config.log' for more details." >&5  See \`config.log' for more details." >&5
6124  echo "$as_me: error: cannot compute sizeof (long *), 77  echo "$as_me: error: cannot compute sizeof (long), 77
6125  See \`config.log' for more details." >&2;}  See \`config.log' for more details." >&2;}
6126     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
6127  fi  fi
# Line 6102  fi Line 6130  fi
6130  fi  fi
6131  rm -f conftest.val  rm -f conftest.val
6132  else  else
6133    ac_cv_sizeof_long_p=0    ac_cv_sizeof_long=0
6134    fi
6135  fi  fi
6136    echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
6137    echo "${ECHO_T}$ac_cv_sizeof_long" >&6
6138    cat >>confdefs.h <<_ACEOF
6139    #define SIZEOF_LONG $ac_cv_sizeof_long
6140    _ACEOF
6141    
6142    
6143    echo "$as_me:$LINENO: checking sizeof struct contblock" >&5
6144    echo $ECHO_N "checking sizeof struct contblock... $ECHO_C" >&6
6145    if test "$cross_compiling" = yes; then
6146      echo Cannot find sizeof struct contblock;exit 1
6147    else
6148      cat >conftest.$ac_ext <<_ACEOF
6149    #line $LINENO "configure"
6150    /* confdefs.h.  */
6151    _ACEOF
6152    cat confdefs.h >>conftest.$ac_ext
6153    cat >>conftest.$ac_ext <<_ACEOF
6154    /* end confdefs.h.  */
6155    #include <stdio.h>
6156            #define EXTER
6157            #include "$MP_INCLUDE"
6158            #include "h/enum.h"
6159            #include "h/object.h"
6160            int main(int argc,char **argv,char **envp) {
6161            FILE *f=fopen("conftest1","w");
6162            fprintf(f,"%u",sizeof(struct contblock));
6163            fclose(f);
6164            return 0;
6165            }
6166    _ACEOF
6167    rm -f conftest$ac_exeext
6168    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6169      (eval $ac_link) 2>&5
6170      ac_status=$?
6171      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6172      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6173      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6174      (eval $ac_try) 2>&5
6175      ac_status=$?
6176      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6177      (exit $ac_status); }; }; then
6178      sizeof_contblock=`cat conftest1`
6179    else
6180      echo "$as_me: program exited with status $ac_status" >&5
6181    echo "$as_me: failed program was:" >&5
6182    sed 's/^/| /' conftest.$ac_ext >&5
6183    
6184    ( exit $ac_status )
6185    echo Cannot find sizeof struct contblock;exit 1
6186    fi
6187    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6188  fi  fi
6189  echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_p" >&5  echo "$as_me:$LINENO: result: $sizeof_contblock" >&5
6190  echo "${ECHO_T}$ac_cv_sizeof_long_p" >&6  echo "${ECHO_T}$sizeof_contblock" >&6
6191  cat >>confdefs.h <<_ACEOF  cat >>confdefs.h <<_ACEOF
6192  #define SIZEOF_LONG_P $ac_cv_sizeof_long_p  #define SIZEOF_CONTBLOCK $sizeof_contblock
6193  _ACEOF  _ACEOF
6194    
6195    

Legend:
Removed from v.1.107.4.1.2.2  
changed lines
  Added in v.1.107.4.1.2.2.2.1

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26